## xinclude

xinclude —

## Synopsis

    int         xmlXIncludeProcess              (xmlDocPtr doc);
    int         xmlXIncludeProcessTree          (xmlNodePtr tree);

## Description

## Details

### xmlXIncludeProcess ()

    int         xmlXIncludeProcess              (xmlDocPtr doc);

Implement the XInclude substitution on the XML document `doc`

`doc` : | an XML document
Returns : | 0 if no substitution were done, -1 if some processing failed or the number of substitutions done.

### xmlXIncludeProcessTree ()

    int         xmlXIncludeProcessTree          (xmlNodePtr tree);

Implement the XInclude substitution for the given subtree

`tree` : | a node in an XML document
Returns : | 0 if no substitution were done, -1 if some processing failed or the number of substitutions done.